From 632f9b604237c63b3d6cc702af6675c7c7d342b7 Mon Sep 17 00:00:00 2001
From: Callan Barrett <wizzomafizzo@gmail.com>
Date: Sun, 8 Jun 2008 21:21:19 +0800
Subject: [PATCH] Fix FS#10016

Fix entry of URLPath and FSPath to be actual locations, fixes RPC results

Signed-off-by: Callan Barrett <wizzomafizzo@gmail.com>
---
 web/html/pkgsubmit.php |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/web/html/pkgsubmit.php b/web/html/pkgsubmit.php
index ae5b93a..38e8cca 100644
--- a/web/html/pkgsubmit.php
+++ b/web/html/pkgsubmit.php
@@ -372,9 +372,9 @@ if ($_COOKIE["AURSID"]) {
                 $q.="Description='".mysql_real_escape_string($new_pkgbuild['pkgdesc'])."', ";
 				$q.="URL='".mysql_real_escape_string($new_pkgbuild['url'])."', ";
 				$q.="LocationID=2, ";
-				$fspath=INCOMING_DIR.$pkg_name."/".$_FILES["pfile"]["name"];
+				$fspath=INCOMING_DIR.$pkg_name."/".$pkg_name.".tar.gz";
 				$q.="FSPath='".mysql_real_escape_string($fspath)."', ";
-				$urlpath=URL_DIR.$pkg_name."/".$_FILES["pfile"]["name"];
+				$urlpath=URL_DIR.$pkg_name."/".$pkg_name.".tar.gz";
 				$q.="OutOfDate=0, ";
 				$q.="URLPath='".mysql_real_escape_string($urlpath)."' ";
 				$q.="WHERE ID = " . $pdata["ID"];
@@ -444,9 +444,9 @@ if ($_COOKIE["AURSID"]) {
 				$q.= "UNIX_TIMESTAMP(), ";
 				$q.= uid_from_sid($_COOKIE["AURSID"]).", ";
 				$q.= uid_from_sid($_COOKIE["AURSID"]).", '";
-				$fspath=INCOMING_DIR.$pkg_name."/".$_FILES["pfile"]["name"];
+				$fspath=INCOMING_DIR.$pkg_name."/".$pkg_name.".tar.gz";
 				$q.= mysql_real_escape_string($fspath)."', '";
-				$urlpath=URL_DIR.$pkg_name."/".$_FILES["pfile"]["name"];
+				$urlpath=URL_DIR.$pkg_name."/".$pkg_name.".tar.gz";
 				$q.= mysql_real_escape_string($urlpath)."')";
 				$result = db_query($q, $dbh);
 #				print $result . "<br>";
-- 
1.5.5.3

